import { ElementRef } from '@angular/core';
import { IArea, IPoint, IAreaSnapshot, ISplitSideAbsorptionCapacity, IAreaAbsorptionCapacity, IAreaSize, ISplitDirection, ISplitUnit } from './interface';
export declare function getPointFromEvent(event: MouseEvent | TouchEvent | KeyboardEvent): IPoint;
export declare function pointDeltaEquals(lhs: IPoint, rhs: IPoint, deltaPx: number): boolean;
export declare function getKeyboardEndpoint(event: KeyboardEvent, direction: ISplitDirection): IPoint | null;
export declare function getElementPixelSize(elRef: ElementRef, direction: ISplitDirection): number;
export declare function getInputBoolean(v: any): boolean;
export declare function getInputPositiveNumber<T>(v: any, defaultValue: T): number | T;
export declare function isUserSizesValid(unit: ISplitUnit, sizes: Array<IAreaSize>): boolean;
export declare function getAreaMinSize(a: IArea): number | null;
export declare function getAreaMaxSize(a: IArea): number | null;
export declare function getGutterSideAbsorptionCapacity(unit: ISplitUnit, sideAreas: Array<IAreaSnapshot>, pixels: number, allAreasSizePixel: number): ISplitSideAbsorptionCapacity;
export declare function updateAreaSize(unit: ISplitUnit, item: IAreaAbsorptionCapacity): void;
